Conversations
Renommer une conversation
PATCH
/
api
/
partners
/
v1
/
conversations
/
{conversation_id}
Renommer une conversation
curl --request PATCH \
--url https://gpt-de-babi.perfproai.com/api/partners/v1/conversations/{conversation_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Week-end à Assinie"
}
'import requests
url = "https://gpt-de-babi.perfproai.com/api/partners/v1/conversations/{conversation_id}"
payload = { "title": "Week-end à Assinie" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: 'Week-end à Assinie'})
};
fetch('https://gpt-de-babi.perfproai.com/api/partners/v1/conversations/{conversation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Token utilisateur à courte durée de vie retourné par /tokens.
Path Parameters
Body
application/json
Required string length:
1 - 255⌘I
Renommer une conversation
curl --request PATCH \
--url https://gpt-de-babi.perfproai.com/api/partners/v1/conversations/{conversation_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Week-end à Assinie"
}
'import requests
url = "https://gpt-de-babi.perfproai.com/api/partners/v1/conversations/{conversation_id}"
payload = { "title": "Week-end à Assinie" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: 'Week-end à Assinie'})
};
fetch('https://gpt-de-babi.perfproai.com/api/partners/v1/conversations/{conversation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}